:root {
  --color-green: #007e40;
  --color-light-green: #dfefe7;
  --color-dark-green: #002613;
  --color-yellow: #ffc62d;
  --color-yellow-bg: #fff2cb;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "DM Sans", sans-serif;
}

.text-poppins {
  font-family: "Poppins", sans-serif;
}

ul {
  padding: 0;
}

li {
  list-style: none;
}

header > div {
  position: relative;
}

header > div > i {
  position: absolute;
  right: 0;
  top: 50%;
  transform: translate(-50%, -50%);
  font-size: 24px;
}

.text-dark-green {
  color: var(--color-dark-green);
}

.text-default-green {
  color: var(--color-green);
}

.text-default-yellow {
  color: var(--color-yellow);
}

.bg-default-green {
  background-color: var(--color-green);
}

.bg-light-green {
  background-color: var(--color-light-green);
}

.bg-dark-green {
  background-color: var(--color-dark-green);
}

.bg-default-yellow {
  background-color: var(--color-yellow);
}

.bg-light-yellow {
  background-color: var(--color-yellow-bg);
}

.custom-theme-btn {
  background-color: #007a3d;      
  color: white;                   
  font-weight: bold;               
  border: none;                    
  border-radius: 30px;             
  padding: 10px 40px;              
  font-size: 18px;                 
  cursor: pointer;                 
  box-shadow: 6px 6px 0 var(--color-dark-green);   
  transition: all 0.15s ease-in-out;
  margin-bottom: 16px;
}

.bg-light-light-yellow {
  background-color: #ffffdd;
}

.custom-theme-btn--two {
  box-shadow: none;
}

.custom-theme-btn:hover {
  background-color: #00994c;
}

.custom-theme-btn:active {
  box-shadow: 2px 2px 0 #004b23;
  transform: translate(2px, 2px);
}

.star-container i {
  color: var(--color-green);
}

.checkout-ingredients-section li {
  display: flex;
  align-items: start;
  justify-content: start;
  gap: 8px;
}

.checkout-ingredients-section li h5 {
  font-size: 24px;
  padding: 8px 6px;
  background-color: #daece3;
  border-radius: 50%;
}

.checkout-ingredients-section li span {
  font-size: 18px;
  color: #0d2a1c;
  font-weight: 600;
}

.checkout-ingredients-section li p {
  font-size: 12px;
  color: #0d2a1c;
}

.custom-fixed-btn {
  position: fixed;
  top: 8px;
  right: 8px;
  transition: opacity 0.2s ease, visibility 0.2s ease;
}

.custom-fixed-btn.is-hidden {
  opacity: 0;
  visibility: hidden; /* evita clique */
  pointer-events: none;
}

/* Se preferir literalmente não renderizar layout, use display:
.custom-fixed-btn.is-hidden {
  display: none;
}
*/